org.deidentifier.arx.aggregates

## Enum HierarchyBuilderRedactionBased.Order

- java.lang.Object
- - java.lang.Enum<HierarchyBuilderRedactionBased.Order>
  - - org.deidentifier.arx.aggregates.HierarchyBuilderRedactionBased.Order

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HierarchyBuilderRedactionBased.Order>

Enclosing class:
  HierarchyBuilderRedactionBased<T>

    public static enum HierarchyBuilderRedactionBased.Order
    extends java.lang.Enum<HierarchyBuilderRedactionBased.Order>

Order

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`LEFT_TO_RIGHT` Order
`RIGHT_TO_LEFT` Order

### Method Summary

All Methods Static Methods Concrete Methods
`static HierarchyBuilderRedactionBased.Order` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HierarchyBuilderRedactionBased.Order[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT_TO_RIGHT

    public static final HierarchyBuilderRedactionBased.Order LEFT_TO_RIGHT

Order

#### RIGHT_TO_LEFT

    public static final HierarchyBuilderRedactionBased.Order RIGHT_TO_LEFT

Order

### Method Detail

#### values

    public static HierarchyBuilderRedactionBased.Order[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (HierarchyBuilderRedactionBased.Order c : HierarchyBuilderRedactionBased.Order.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static HierarchyBuilderRedactionBased.Order valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null